/* Name: USI.c
 * Project: Comfort_termometer
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2011-03-26
 * Tabsize: 4
 * Copyright: (c) 2011 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Comfort_termometer.
 *
 *   Comfort_termometer is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Comfort_termometer is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Comfort_termometer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#include <stdlib.h>
#include <avr/wdt.h>
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include <compat/deprecated.h>

#include "main.h"
#include "iohardware.h"
#include "USI.h"



ISR(USART_RX_vect)
{

static uint8_t state,receivedArray[5],*p_receivedArray,counterByte;
uint8_t ReceivedByte,error;

if (bit_is_set( UCSRA,FE)||bit_is_set( UCSRA, DOR)||bit_is_set( UCSRA, UPE)) error=1;
else error=0;
ReceivedByte=UDR;
if (error)
	{
	state=WAIT_ADRESS;
	
	}
else
	{
	
	if (state==RECEIVE_FRAME)
		{
		
		
			
			counterByte++;
			*p_receivedArray=ReceivedByte;
			p_receivedArray++;
			
			if (counterByte>4)
				{
				 state=WAIT_ADRESS;
				 checked_Array[0]=receivedArray[0];
				 checked_Array[1]=receivedArray[1];
				 checked_Array[2]=receivedArray[2];
				 checked_Array[3]=receivedArray[3];
				 checked_Array[4]=receivedArray[4];
				 USIFlag=1;
				 }
			
		}
	
	if (state==WAIT_ADRESS)
		{
		if (ReceivedByte==ADRESS) 
			{
			state=RECEIVE_FRAME;
			counterByte=0;
			p_receivedArray=receivedArray;
			}
		}
	
		
	}
if (state==WAIT_ADRESS) SET_ADRESS_MODE;
if (state==RECEIVE_FRAME) SET_RECEIVE_MODE;
}