/* Name: iohardware.h
 * Project: Comfort_termometer
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2011-03-26
 * Tabsize: 4
 * Copyright: (c) 2011 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Comfort_termometer.
 *
 *   Comfort_termometer is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Comfort_termometer is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Comfort_termometer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef IOHARDWAREINIT_H
#define IOHARDWAREINIT_H


void iohrdwareinit(void);



#define ANODE_OFF cbi(PORTD,6); cbi(PORTD,5); cbi(PORTD,4); cbi(PORTD,3)
#define ANODE1_ON sbi(PORTD,6)
#define ANODE2_ON sbi(PORTD,5)
#define ANODE3_ON sbi(PORTD,4)
#define ANODE4_ON sbi(PORTD,3)

#define SEG_A cbi(PORTB,0)
#define SEG_B cbi(PORTB,2)
#define SEG_C cbi(PORTB,4)
#define SEG_D cbi(PORTB,6)
#define SEG_E cbi(PORTB,7)
#define SEG_F cbi(PORTB,1)
#define SEG_G cbi(PORTB,3)
#define SEG_DT cbi(PORTB,5)
#define SEG_OFF PORTB=0xff


#endif