/* Name: iohardware.h
 * Project: Comfort_termometer
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2011-03-19
 * Tabsize: 4
 * Copyright: (c) 2011 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Comfort_termometer.
 *
 *   Comfort_termometer is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Comfort_termometer is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Comfort_termometer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef IOHARDWARE_H
#define IOHARDWARE_H

void iohardwareInit (void);
void iohardwareDeInit (void);


#define BUTTON_UP   bit_is_clear(PIND,6)
#define BUTTON_DOWN bit_is_clear(PIND,5)

#define SWITCH_ON  sbi(PORTB,1)
#define SWITCH_OFF  cbi(PORTB,1)


#endif