/* Name: main.h
 * Project: Comfort_termometer
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2011-03-30
 * Tabsize: 4
 * Copyright: (c) 2011 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Comfort_termometer.
 *
 *   Comfort_termometer is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Comfort_termometer is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Comfort_termometer.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef MAIN_H
#define MAIN_H

volatile uint8_t VoltageStabilizerFlag,VoltageShutdown;
volatile int16_t VoltageFeedback,Kstatic;

volatile uint8_t measureComfortTemperatureFlag,measureAirTemperatureFlag,timeFlagADC;
volatile uint8_t timer0CircleFlag,timer2CircleFlag,ADCcircleFlag;
volatile uint32_t clockTicks,*p_clockticks;
volatile uint8_t *p_checkSum;




struct dataIndic
	{
	int16_t AirTemperature;
	int16_t comfortTemp;
	uint8_t point;
	uint8_t hour;
	uint8_t minutes;
	uint8_t clockPoint;
	uint8_t bright;
	
	}data;



void watchDogReset(void);



#endif

